Skip to main content
GET
/
api
/
v2
/
search_engines
/
{hashid}
/
indices
/
{name}
/
_reindex_to_temp
/
Reindexing task status
curl --request GET \
  --url https://{search_zone}-api.doofinder.com/api/v2/search_engines/{hashid}/indices/{name}/_reindex_to_temp/ \
  --header 'Authorization: <api-key>'
{
  "progress": 1,
  "status": "completed"
}

Authorizations

Authorization
string
header
required

Doofinder API key. Pass it as: Authorization: Token <api_key>

Path Parameters

hashid
string
required

Unique id of a search engine.

Pattern: ^[a-f0-9]{32}$
name
string
required

Name of an index.

Pattern: ^[a-z][a-z0-9_]*$

Response

The current reindexing taks was retrieved.

Details of a reindexing task.

status
enum<string>
read-only

Indicates the current status of the task.

Available options:
completed,
reindexing,
error,
failure
progress
number<float>
read-only

Indicates the progress of the reindexing operation. For instance, 0.5 means the task is half complete. (Minimum 0.0 and maximum 1.0)

Required range: 0 <= x <= 1
failures
string[]

If status is failure this contains a list of all failures recieved while reindexing.

error
object

If status is error this shows the error details.